'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.AreaSplineChart = undefined;

var _Chart2 = require('./Chart');

var _Chart3 = _interopRequireDefault(_Chart2);

var _metalSoy = require('metal-soy');

var _metalSoy2 = _interopRequireDefault(_metalSoy);

var _AreaSplineChartSoy = require('./AreaSplineChart.soy.js');

var _AreaSplineChartSoy2 = _interopRequireDefault(_AreaSplineChartSoy);

var _types = require('./utils/types');

var _types2 = _interopRequireDefault(_types);

var _metalState = require('metal-state');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * AreaSpline Chart Component
 * @augments Chart
 */
var AreaSplineChart = function (_Chart) {
	_inherits(AreaSplineChart, _Chart);

	function AreaSplineChart() {
		_classCallCheck(this, AreaSplineChart);

		return _possibleConstructorReturn(this, (AreaSplineChart.__proto__ || Object.getPrototypeOf(AreaSplineChart)).apply(this, arguments));
	}

	return AreaSplineChart;
}(_Chart3.default);

AreaSplineChart.STATE = {
	/**
  * The variety of chart that will be rendered.
  * @default area-spline
  * @instance
  * @memberof AreaSplineChart
  * @type {?(string|undefined)}
  */
	type: _metalState.Config.oneOf(_types2.default.area).value('area-spline')
};

_metalSoy2.default.register(AreaSplineChart, _AreaSplineChartSoy2.default);

exports.AreaSplineChart = AreaSplineChart;
exports.default = AreaSplineChart;
//# sourceMappingURL=AreaSplineChart.js.map