'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.BubbleChart = undefined;

var _Chart2 = require('./Chart');

var _Chart3 = _interopRequireDefault(_Chart2);

var _metalSoy = require('metal-soy');

var _metalSoy2 = _interopRequireDefault(_metalSoy);

var _BubbleChartSoy = require('./BubbleChart.soy.js');

var _BubbleChartSoy2 = _interopRequireDefault(_BubbleChartSoy);

var _metalState = require('metal-state');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Bubble Chart component.
 * @augments Chart
 */
var BubbleChart = function (_Chart) {
	_inherits(BubbleChart, _Chart);

	function BubbleChart() {
		_classCallCheck(this, BubbleChart);

		return _possibleConstructorReturn(this, (BubbleChart.__proto__ || Object.getPrototypeOf(BubbleChart)).apply(this, arguments));
	}

	return BubbleChart;
}(_Chart3.default);

BubbleChart.STATE = {
	/**
  * Id to be applied to the element.
  * @default undefined
  * @instance
  * @memberof BubbleChart
  * @type {?(string|undefined)}
  */
	id: _metalState.Config.string(),

	/**
  * Labels visibility
  * @default true
  * @instance
  * @memberof BubbleChart
  * @type {Boolean}
  */
	labels: _metalState.Config.bool().value(true),

	/**
  * The variety of chart that will be rendered.
  * @default donut
  * @instance
  * @memberof BubbleChart
  * @type {?(string|undefined)}
  */
	type: _metalState.Config.string().value('bubble')
};

_metalSoy2.default.register(BubbleChart, _BubbleChartSoy2.default);

exports.BubbleChart = BubbleChart;
exports.default = BubbleChart;
//# sourceMappingURL=BubbleChart.js.map